- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# CModelStatic Class Reference

CModelStatic class is used for loading and presenting static 3D models. More...

`#include <ModelStatic.h>`

List of all members.

## Public Member Functions
| CModelStatic ()
| Standard constructor.
| ~CModelStatic ()
| Standard destructor.
bool | Load (LPDIRECT3DDEVICE9 pd3dDevice, WCHAR *strFilePath, WCHAR *strFileName)
| Load static mesh using simple old D3DXLoadMeshFromX function.
void | OnRender (LPDIRECT3DDEVICE9 pd3dDevice)
| Render function renders static model.
void | OnFrameMove (LPDIRECT3DDEVICE9 pd3dDevice, float rotation, D3DXVECTOR3 position)
| Move function doesn't have much work to do for static 3D mesh! It just positions him in the world.

## Detailed Description

CModelStatic class is used for loading and presenting static 3D models.

Author:
  Petar Bajic

Date:
  January, 16 2007.

## Constructor & Destructor Documentation

CModelStatic::CModelStatic | ( |  | ) |

Standard constructor.

Author:
  Petar Bajic

Date:
  January, 16 2007.

CModelStatic::~CModelStatic | ( |  | ) |

Standard destructor.

Author:
  Petar Bajic

Date:
  January, 16 2007.

## Member Function Documentation

bool CModelStatic::Load | ( | LPDIRECT3DDEVICE9 | pd3dDevice,
|  | WCHAR * | strFilePath,
|  | WCHAR * | strFileName |
| ) |  |  |

Load static mesh using simple old D3DXLoadMeshFromX function.

Author:
  Petar Bajic

Date:
  January, 16 2007.

void CModelStatic::OnRender | ( | LPDIRECT3DDEVICE9 | pd3dDevice | ) |

Render function renders static model.

Author:
  Petar Bajic

Date:
  January, 16 2007.

void CModelStatic::OnFrameMove | ( | LPDIRECT3DDEVICE9 | pd3dDevice,
|  | float | rotation,
|  | D3DXVECTOR3 | position |
| ) |  |  |

Move function doesn't have much work to do for static 3D mesh! It just positions him in the world.

Author:
  Petar Bajic

Date:
  January, 16 2007.

The documentation for this class was generated from the following files:

- My Documents/TS2/inc/ModelStatic.h
- My Documents/TS2/src/ModelStatic.cpp